JUCE: TextLayout::Line Class Reference

JUCE

Public Member Functions | Public Attributes | List of all members
TextLayout::Line Class Reference

A line containing a sequence of glyph-runs. More...

## Public Member Functions
| Line () noexcept
| Line (const Line &)
| Line (Range< int > stringRange, Point< float > lineOrigin, float ascent, float descent, float leading, int numRunsToPreallocate)
| ~Line () noexcept
Range< float > | getLineBoundsX () const noexcept
| Returns the X position range which contains all the glyphs in this line. More...
Range< float > | getLineBoundsY () const noexcept
| Returns the Y position range which contains all the glyphs in this line. More...
Rectangle< float > | getLineBounds () const noexcept
| Returns the smallest rectangle which contains all the glyphs in this line. More...

## Public Attributes
OwnedArray< Run > | runs
| The glyph-runs in this line. More...
Range< int > | stringRange
| The character range that this line represents in the original string that was used to create it. More...
Point< float > | lineOrigin
| The line's baseline origin. More...
float | ascent
float | descent
float | leading

## Detailed Description

A line containing a sequence of glyph-runs.

## Constructor & Destructor Documentation

## ◆ Line() [1/3]

TextLayout::Line::Line | ( |  | ) |
| noexcept

## ◆ Line() [2/3]

TextLayout::Line::Line | ( | const Line & |  | ) |

## ◆ Line() [3/3]

TextLayout::Line::Line | ( | Range< int > | stringRange,
|  | Point< float > | lineOrigin,
|  | float | ascent,
|  | float | descent,
|  | float | leading,
|  | int | numRunsToPreallocate
| ) |  |

## ◆ ~Line()

TextLayout::Line::~Line | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ getLineBoundsX()

Range<float> TextLayout::Line::getLineBoundsX | ( |  | ) | const
| noexcept

Returns the X position range which contains all the glyphs in this line.

## ◆ getLineBoundsY()

Range<float> TextLayout::Line::getLineBoundsY | ( |  | ) | const
| noexcept

Returns the Y position range which contains all the glyphs in this line.

## ◆ getLineBounds()

Rectangle<float> TextLayout::Line::getLineBounds | ( |  | ) | const
| noexcept

Returns the smallest rectangle which contains all the glyphs in this line.

## Member Data Documentation

## ◆ runs

OwnedArray<Run> TextLayout::Line::runs

The glyph-runs in this line.

## ◆ stringRange

Range<int> TextLayout::Line::stringRange

The character range that this line represents in the original string that was used to create it.

## ◆ lineOrigin

Point<float> TextLayout::Line::lineOrigin

The line's baseline origin.

## ◆ ascent

float TextLayout::Line::ascent

## ◆ descent

float TextLayout::Line::descent

## ◆ leading

float TextLayout::Line::leading

The documentation for this class was generated from the following file:

- juce_TextLayout.h